ONVIF::PTZ::Types::DeviceIOCapabilities(3)

NAME
ONVIF::PTZ::Types::DeviceIOCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType DeviceIOCapabilities from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   XAddr

•   VideoSources

•   VideoOutputs

•   AudioSources

•   AudioOutputs

•   RelayOutputs

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::DeviceIOCapabilities
   XAddr =>  $some_value, # anyURI
   VideoSources =>  $some_value, # int
   VideoOutputs =>  $some_value, # int
   AudioSources =>  $some_value, # int
   AudioOutputs =>  $some_value, # int
   RelayOutputs =>  $some_value, # int
 },

AUTHOR
Generated by SOAP::WSDL